function g=Connect_to_Controller(IP)

done=false;

while(~done)
    clear g;       
    g=actxserver('galil');

    %% See: https://www.galil.com/sw/pub/all/doc/galiltools/html/connections.html
    TCPport=23;UDPport=60007;shorttimeout=500;longtimeout=1000;
    address=[IP,' -p1 ',int2str(TCPport),' -p2 ',int2str(UDPport),' -t ',int2str(shorttimeout),' -l ',int2str(longtimeout)];
    try
%         disp(['Trying to connect with ',address])
        g.address=address;
        x=g.command('NO');%should return empty if connected
        if(isempty(x))
            registerevent(g,{'onMessage','onDMCMessage'});
            done=true;
        end
        
%     catch ex
%         disp(getReport(ex));
    end
    if(~done)
        disp('Failed to connect. Retrying...');
    end
end

g.command('DR0');%stop data record (just in case it's still running)
g.timeout_ms=500;%short timeout
g.timeout=5000;%long timeout
g.command('AQ1,-2');%set analog inputs to differential, +/- 10VDC

assignin('base','Controller',g);
