function Microns=CountsToMicrons(Counts)

%% Convert the encoder counts to microns using known physical factors
%0.125 is the pitch of the lead screw (1/8")
%25400 is the number of microns in an inch
%4000 is the number of encoder counts per revolution
Microns=Counts*0.125*25400/4000;
