%% Estimate the elastic modulus of a sphere having radius R during compression between rigid parallel plates.

function [E,F_fit]=CylinderModulus(u,F,A,L)

err=@(x) sum((F-x*A*u./L).^2);

E=fminsearch(err,1e3);%SI units

if(nargout>1)
    F_fit=E*A*u./L;
end
