function Counts=MicronsToCounts(Microns)

%% Convert user input of microns to the corresponding number of encoder counts using known physical factors
%0.125 is the pitch of the lead screw (1/8")
%25400 is the number of microns in an inch
%4000 is the number of encoder counts per revolution
Counts=Microns/0.125/25400*4000;
