function WebcamSetup(app)
%% Set up camera as a USB webcam using UVC standard communications

app.Camera=[];%make sure it's disabled initially
app.Camera=webcam(app.Camera_Name);

%% Choose the highest resolution automatically
for(i=1:length(app.Camera.AvailableResolutions))
    str=app.Camera.AvailableResolutions{i};
    ind=strfind(str,'x');
    x_px(i)=eval(str(1:ind-1));
    y_px(i)=eval(str(ind+1:end));
end
pixels=x_px.*y_px;
max_resolution=find(pixels==max(pixels));
app.Camera.Resolution=app.Camera.AvailableResolutions{max_resolution};

img=image(app.CameraFeed,snapshot(app.Camera));
preview(app.Camera,img);%preview in the form

app.Camera_Ready=true;
