function ZeroGap(app)

h=msgbox('Ready to zero gap. Place sample container with or without media, manually lower top plate near bottom plate, and click ok.','Zero Gap');
uiwait(h);

app.Controller_SearchingForZeroGap=true;
app.Controller_SearchingForContact=false;
app.LoadCell_FilterGain=1/2^6;%more filtering to achieve smaller contact force
app.Motor_Status=true;

%% Contact detection (requires ForceProg to already be running and fully initialized)
[Gap_Program]=FindContact(app);

contact_check=0.2;%seconds between checks (MATLAB side only)
set(app.ProgramStatusTextArea,'Value','Searching for gap...');
GalilRun(app,Gap_Program,contact_check);

app.Controller_SearchingForZeroGap=false;
app.Controller_ZeroGapSet=true;
set(app.ProgramStatusTextArea,'Value','Gap zeroed. Raising top plate.');

app.Controller_SearchingForZeroGap=false;
prog=LiftHead();
GalilRun(app,prog,0.2);
set(app.ProgramStatusTextArea,'Value','Gap zeroed. Top plate at lift height.');
app.Motor_Status=false;

